## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsSink Struct Reference
[AWS, AWS]

Interface for sinks. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsSink:

[legend]
List of all members.

## Public Member Functions

virtual unsigned int | GetError ()=0
| Returns the last error code set.
virtual unsigned long | GetTriggerID (const char *name)=0
| Maps a trigger name to a trigger id.
virtual void | HandleTrigger (int trigger_id, iAwsSource *source)=0
| Handles trigger events.
virtual AWS_VOIDP_IS_WARNING void | RegisterTrigger (const char *name, void(*Trigger)(unsigned long, void *, iAwsSource *))=0
| A sink should call this to register trigger events.
virtual void | RegisterTrigger (const char *name, void(*Trigger)(unsigned long, intptr_t, iAwsSource *))=0
| A sink should call this to register trigger events The first parameter to the trigger function is the id of the given name as returned by the standard string set (crystalspace.shared.stringset) The second parameter is the parameter with which the sink was created.

## Detailed Description

Interface for sinks.

Definition at line 692 of file aws.h.

## Member Function Documentation

virtual unsigned int iAwsSink::GetError | ( |  | ) | `[pure virtual]`

Returns the last error code set.

This code is good until the next call to this sink. Return value is one of AWS_ERR_SINK_*.

See also:
  Sink error codes

virtual unsigned long iAwsSink::GetTriggerID | ( | const char * | name | ) | `[pure virtual]`

| Maps a trigger name to a trigger id.

virtual void iAwsSink::HandleTrigger | ( | int | trigger_id,
|  | iAwsSource * | source
| ) | `[pure virtual]`

| Handles trigger events.

virtual AWS_VOIDP_IS_WARNING void iAwsSink::RegisterTrigger | ( | const char * | name,
|  | void(*)(unsigned long, void *, iAwsSource *) | Trigger
| ) | `[pure virtual]`

A sink should call this to register trigger events.

Deprecated:
  For proper 64-bit platform support, use the intptr_t version of RegisterTrigger().

virtual void iAwsSink::RegisterTrigger | ( | const char * | name,
|  | void(*)(unsigned long, intptr_t, iAwsSource *) | Trigger
| ) | `[pure virtual]`

| A sink should call this to register trigger events The first parameter to the trigger function is the id of the given name as returned by the standard string set (crystalspace.shared.stringset) The second parameter is the parameter with which the sink was created. And finally the third parameter is the aws component producing the trigger message.

The documentation for this struct was generated from the following file:

- iaws/aws.h